/*
 * $Id: Frame.h,v 1.4 2003/04/01 11:25:34 adeniz Exp $
 * This file is part of qualres
 *
 * Copyright (C) 2002  Baker Research, Ltd.
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, 
 * Boston, MA 02111-1307, USA.
 */
 
/*
 * See the AUTHORS file for a list of people on the gedit Team.  See the
 * ChangeLog files for a list of changes.
 */

#ifndef FRAME_H
#define FRAME_H

#ifdef HAVE_CONFIG_H
#include <config.h>
#endif
#include <string>
#include <vector>
#include "qualres.h"
#include "Category.h"

/** Class for a Frame

    This class implements the methods for a Frame

*/
class Frame : public Category
{
public:
  Frame() {} ///< Constructor for derived classes.
  Frame(GtkTextTagTable *);
  virtual ~Frame();

  virtual void commitName();

  // Printing methods.
  virtual gchar *getLabeledName() const;

  virtual void codeDocText(Document *,
			   GtkTextIter *,
			   GtkTextIter *,
			   Category::LoadUpdate);

  gboolean isFramed(Document *, GtkTextIter *, GtkTextIter *);
  void unframeNDocText(Document *, GtkTextIter *);

  // GUI interface.
  virtual void showWindow() {} ///< Show a Frame window (do nothing)

private:
  void init(GtkTextTagTable *);

protected:
  void markupInit();
};

#endif
