/*
 * $Id: NarrativeDocument.h,v 1.2 2003/04/01 11:25:34 adeniz Exp $
 * This file is part of qualres
 *
 * Copyright (C) 2002  Baker Research, Ltd.
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, 
 * Boston, MA 02111-1307, USA.
 */
 
/*
 * See the AUTHORS file for a list of people on the gedit Team.  See the
 * ChangeLog files for a list of changes.
 */

#ifndef NARRATIVEDOCUMENT_H
#define NARRATIVEDOCUMENT_H

#ifdef HAVE_CONFIG_H
#include <config.h>
#endif
#include <string>

#include "Document.h"

/** Class for a NarrativeDocument

    This class implements the methods for a NarrativeDocument.

*/
class NarrativeDocument : public Document
{
public:
  NarrativeDocument() {} ///< Constructor for derived classes
  NarrativeDocument(GtkTextTagTable *);
  virtual ~NarrativeDocument();

 // Printing methods.
  virtual gchar *getLabeledName() const;

  void importDocument();
  void unframe();

  // GUI methods.
  virtual void createWindow(GtkWidget *);

protected:

private:
  void init(GtkTextTagTable *);
};

/***********************************************************************/
/* CALLBACKS */
/***********************************************************************/
void narrativeDocumentDocumentImport_cb(GtkWidget *, gpointer);
void unframe_cb(GtkWidget *, gpointer);

#endif
