/*
 * $Id: Xref.h,v 1.2 2003/01/22 16:38:31 adeniz Exp $
 * This file is part of qualres
 *
 * Copyright (C) 2002  Baker Research, Ltd.
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, 
 * Boston, MA 02111-1307, USA.
 */
 
/*
 * See the AUTHORS file for a list of people on the gedit Team.  See the
 * ChangeLog files for a list of changes.
 */

#ifndef XREF_H
#define XREF_H

#ifdef HAVE_CONFIG_H
#include <config.h>
#endif
#include "Category.h"

/** Class for a Cross-reference

    This class implements the methods for a Cross-reference.

    All access functions of this and derived classes return a pointer
    to const.  For example, getName returns (const string *), pointing
    to the name field.  The object is responsible for this memory; the
    calling program should never free the memory pointed to by this
    pointer.
*/
class Xref : public Category
{
public:
  Xref(GtkTextTagTable *);
  virtual ~Xref();

 // Printing methods.
  virtual gchar *getLabeledName() const;
#if 0
  virtual gchar *getTextToPrint() const;

  virtual GdomeElement *writeXML(GdomeDocument *)
    throw(FileException);
  virtual bool readXML(GdomeElement *)
    throw(FileException);
#endif

  // GUI methods.
  virtual void createWindow(GtkWidget *); ///< Create main window.

private:
  void init(GtkTextTagTable *);
};

#endif
